[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.Extract

Extract an item from the list

## Declaration

Source position: fgl.pp line 188

`public function TFPGObjectList.Extract(`
`const Item: T`
`):T;`

## Arguments

`Item` |  | The extracted item

## Function result

The actually removed item, or Nil

## Description

Extract removes Item from the list and returns the removed item, or Nil if it was not found.

The extracted object will not be destroyed even if the list owns the objects.

## Errors

None.

## See also

TFPSList.Delete |  | Delete an item from the list